Modify

#454 closed enhancement (fixed)

Re: identifying to bitlbee

Reported by: anonymous Owned by:
Priority: wishlist Milestone:
Component: IRC Version: 1.2.2
Keywords: uifix Cc:
IRC client+version: clients which support a "nickserv" password field, like xchat Operating System: Public server
OS version/distro:

Description

Hi,

I think it would be good if you hid the "user is offline" error message for if a user sends an identify command to the user nickserv. this would allow users of clients such as xchat which allow users to enter an auto-auth to nickserv password. this would of course only be aesthetical as identifying to nickserv works but it leaves an ugly error message such as --- [NickServ] is away (User is offline) behind

Attachments (0)

Change History (4)

comment:1 Changed at 2008-09-15T11:26:01Z by wilmer

Component: BitlBeeIRC

Actually this can also be done by filling in your identify-password in the IRC server password field. Unless you already have an IRC server password set, BitlBee will try out the password you give when logging in as your identify password.

Implementing this is unfortunately not as simple as it seems with the current (very inflexible) IRC core. When I redo the IRC core, I'll take care of this though.

comment:2 Changed at 2010-06-15T11:54:46Z by wilmer

Keywords: uifix added
Milestone: 1.4

Fixed in the rewrite.

comment:3 Changed at 2010-07-24T21:27:47Z by wilmer

Resolution: fixed
Status: newclosed

I just merged ui-fix into mainline.

comment:4 Changed at 2016-07-07T20:51:01Z by dx

Milestone: 1.4

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.